#pragma once

#include "CoreMinimal.h"
#include "DBDExcludableTableRow.h"
#include "ESpecialEventCommonType.h"
#include "SpecialEventEditorUIData.h"
#include "SpecialEventEditorData.generated.h"

USTRUCT(BlueprintType)
struct FSpecialEventEditorData : public FDBDExcludableTableRow
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString EventId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ESpecialEventCommonType EventType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString StartDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString EndDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ActivationVersion;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FSpecialEventEditorUIData UIData;

public:
	DEADBYDAYLIGHT_API FSpecialEventEditorData();
};

FORCEINLINE uint32 GetTypeHash(const FSpecialEventEditorData) { return 0; }
